> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Activities

> Get all activities for a specific task



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi get /activity/{taskId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /activity/{taskId}:
    get:
      tags:
        - Activity
      summary: Get Activities
      description: Get all activities for a specific task
      operationId: getActivities
      parameters:
        - in: path
          name: taskId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: List of activities for the task
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    taskId:
                      type: string
                    type:
                      enum:
                        - comment
                        - task
                        - status_changed
                        - priority_changed
                        - unassigned
                        - assignee_changed
                        - due_date_changed
                        - title_changed
                        - description_changed
                        - create
                      type: string
                    createdAt:
                      type: string
                      format: date-time
                    userId:
                      type: string
                      nullable: true
                    content:
                      type: string
                      nullable: true
                    eventData:
                      type: object
                      additionalProperties: true
                      nullable: true
                    externalUserName:
                      type: string
                      nullable: true
                    externalUserAvatar:
                      type: string
                      nullable: true
                    externalSource:
                      type: string
                      nullable: true
                    externalUrl:
                      type: string
                      nullable: true
                  required:
                    - id
                    - taskId
                    - type
                    - createdAt
                    - userId
                    - content
                    - eventData
                    - externalUserName
                    - externalUserAvatar
                    - externalSource
                    - externalUrl
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````